Bitmap

Symbol: |
Description: | This function block provides the ID of a bitmap defined in the mask designer. The output BmpID is used to make the ID of the selected bitmap available for further use within a program.
Parameter: | In the parameter dialog all bitmaps defined in the mask designer are listed. One of those entries can be selected.
Signals: | Name | I/O | Type(s) | Function
 | BmpID | O | WORD | Bitmap ID
Visualization: | The name of the bitmap will be shown in the symbol.


Color

Symbol: |
Description: | This function block is used to provide a color. The color value of the selected color can be tapped at the output lColor.
Parameter: | The parameter dialog can be used to select a color.
Signals: | Name | I/O | Type(s) | Function
 | lColor | O | LONG | Color
Visualization: | The symbol will be depicted in the selected color.


Font

Symbol: |
Description: | This function block provides the ID of a font defined in the mask designer. The output FontID is used to make the ID of the selected font available for further use within a program.
Parameter: | In the parameter dialog all fonts defined in the mask designer are listed. One of those entries can be selected.
Signals: | Name | I/O | Type(s) | Function
 | FontID | O | WORD | Font ID
Visualization: | The name of the font will be shown in the symbol.


Language

Symbol: |
Description: | This function block provides the ID of a language defined in the mask designer. The output LangID is used to make the ID of the selected language available for further use within a program.
Parameter: | In the parameter dialog all languages defined in the mask designer are listed. One of those entries can be selected.
Signals: | Name | I/O | Type(s) | Function
 | LangID | O | WORD | Language ID
Visualization: | The name of the language will be shown in the symbol.


Text

Symbol: |
Description: | This function block provides the ID of a text defined in the mask designer. The output TextID is used to make the ID of the selected text available for further use within a program.
Parameter: | In the parameter dialog all texts defined in the mask designer are listed. One of those entries can be selected.
Signals: | Name | I/O | Type(s) | Function
 | TxtID | O | WORD | Text ID
Visualization: | The name of the language will be shown in the symbol.